<?php
/*
	Category exclude
	URI: http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/
	Schliesst Kategorien aus dem Archiv, den Feeds und der Startseite aus.
	Author: Elke Burmester
	Version: 1.0 Beta
	Author URI: http://elke-burmester.de
*/

add_filter('pre_get_posts','ebce_exclude_categories');

function ebce_options_page() {
	if ( isset($_POST['reset_ebce']) ) {
		$message = ebquery_uninstall_ebceExcludes();
	}
	elseif( $_POST[ 'ebce' ] ) {
		$message = ebce_process();
	}

	$options = ebce_get_options();
	?>
	<div class="wrap">
		<?=$message ?>
		<h2>Kategorien ausschlie&szlig;en</h2>
		<p>W&auml;hlen Sie die Kategorie(n) aus, die Sie ausblenden wollen und klicken Sie anschlie&szlig;end auf den Button [&Auml;nderungen speichern].</p>
	<form action="admin.php?page=eb_category_exclude" method="post">
<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
<br />
	<table class="widefat">
		<thead>
			<tr>
				<th scope="col" style="width:40%;">Kategorie (ID)</th>
				<th scope="col" style="width:10%; text-align:center">Home</th>
				<th scope="col" style="width:10%; text-align:center">Feeds</th>
				<th scope="col" style="width:10%; text-align:center">Archiv</th>
				<th scope="col" style="width:10%; text-align:center">Autor</th>
				<th scope="col" style="width:10%; text-align:center">Suchen</th>
			</tr>
		</thead>
		<tbody id="the-list">
	<?
		$cats = get_categories('orderby=menu_order');
		$alt = 0;
		foreach( $cats as $cat ) {
			?>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<td scope="row" style="width:40%;"><? $anzahl=substr_count(str_replace(get_bloginfo('url').'/index.php/category/','',substr(get_category_link($cat->cat_ID),0,-1)),'/'); echo str_repeat ('&nbsp;&nbsp;&nbsp;&ndash;&nbsp;&nbsp;&nbsp;',$anzahl).$cat->cat_name. ' (' . $cat->cat_ID . ')'; ?></th>
				<td scope="row" style="width:10%; text-align:center"><input type="checkbox" name="exclude_main[]" value="-<?=$cat->cat_ID ?>" <? if ( in_array( '-' . $cat->cat_ID, $options['exclude_main'] ) ) { echo 'checked="true" '; } ?>/></td>
				<td scope="row" style="width:10%; text-align:center"><input type="checkbox" name="exclude_feed[]" value="-<?=$cat->cat_ID ?>" <? if ( in_array( '-' . $cat->cat_ID, $options['exclude_feed'] ) ) { echo 'checked="true" '; } ?>/></td>
				<td scope="row" style="width:10%; text-align:center"><input type="checkbox" name="exclude_archives[]" value="-<?=$cat->cat_ID ?>" <? if ( in_array( '-' . $cat->cat_ID, $options['exclude_archives'] ) ) { echo 'checked="true" '; } ?>/></td>
				<td scope="row" style="width:10%; text-align:center"><input type="checkbox" name="exclude_author[]" value="-<?=$cat->cat_ID ?>" <? if ( in_array( '-' . $cat->cat_ID, $options['exclude_author'] ) ) { echo 'checked="true" '; } ?>/></td>
				<td scope="row" style="width:10%; text-align:center"><input type="checkbox" name="exclude_suchen[]" value="-<?=$cat->cat_ID ?>" <? if ( in_array( '-' . $cat->cat_ID, $options['exclude_suchen'] ) ) { echo 'checked="true" '; } ?>/></td>
			</tr>			
		<?
		}
	?>
	</table>
	<br />
<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
<br />
	<input type="hidden" name="ebce" value="true" />
	</form>
		<h2>Einstellungen l&ouml;schen</h2>
		<p>Wenn Sie die Einstellungen l&ouml;schen wollen, dann klicken Sie bitte auf den Button [l&ouml;schen].</p>
	<form action="admin.php?page=eb_category_exclude" method="post">
<div style="width:100%;text-align:right;"><input type="submit" name="reset_ebce" value="l&ouml;schen" /></div>
	</form>
	</div>

<?
}

function ebce_process() {
	if( !$_POST[ 'exclude_main' ] ) $_POST[ 'exclude_main' ] = array();
	if( !$_POST[ 'exclude_feed' ] ) $_POST[ 'exclude_feed' ] = array();
	if( !$_POST[ 'exclude_archives' ] ) $_POST[ 'exclude_archives' ] = array();
	if( !$_POST[ 'exclude_author' ] ) $_POST[ 'exclude_author' ] = array();
	if( !$_POST[ 'exclude_suchen' ] ) $_POST[ 'exclude_suchen' ] = array();
	if( !$_POST[ 'exclude_tags' ] ) $_POST[ 'exclude_tags' ] = array();
	$options['exclude_main'] = $_POST[ 'exclude_main' ];
	$options['exclude_feed'] = $_POST[ 'exclude_feed' ];
	$options['exclude_archives'] = $_POST[ 'exclude_archives' ];
	$options['exclude_author'] = $_POST[ 'exclude_author' ];
	$options['exclude_suchen'] = $_POST[ 'exclude_suchen' ];
	$options['exclude_tags'] = $_POST[ 'exclude_tags' ];
	update_option('ebceExcludes', $options);
	$message = "<div class='updated'><p>&Auml;nderungen wurden erfolgreich &uuml;bernommen.</p></div>";
	return $message;
}

function ebce_get_options(){
	$defaults = array();
	$defaults['exclude_main'] = array();
	$defaults['exclude_feed'] = array();
	$defaults['exclude_archives'] = array();
	$defaults['exclude_author'] = array();
	$defaults['exclude_suchen'] = array();
	$defaults['exclude_tags'] = array();
	$options = get_option('ebceExcludes');
	if (!is_array($options)){
		$options = $defaults;
		update_option('ebceExcludes', $options);
	}
	if (!isset($options['exclude_author'])){
		$defaults['exclude_author'] = array();
		$options = get_option('ebceExcludes');
		$options['exclude_author'] = $defaults['exclude_author'];
		update_option('ebceExcludes', $options);
	}
	if (!isset($options['exclude_suchen'])){
		$defaults['exclude_suchen'] = array();
		$options = get_option('ebceExcludes');
		$options['exclude_suchen'] = $defaults['exclude_suchen'];
		update_option('ebceExcludes', $options);
	}
	if (!isset($options['exclude_tags'])){
		$defaults['exclude_tags'] = array();
		$options = get_option('ebceExcludes');
		$options['exclude_tags'] = $defaults['exclude_tags'];
		update_option('ebceExcludes', $options);
	}
	return $options;
}

function ebce_exclude_categories($query) {
if ($query->is_home or $query->is_feed or $query->is_archive or $query->is_author or is_search() ) {
	$options = ebce_get_options();
	$include_main = "";
	$include_feed = "";
	$include_archives = "";
	$include_author = "";
	$include_suchen = "";
	$include_tags = "";
	$cats = get_categories();
	foreach( $cats as $cat ) {
		if (in_array( '-' . $cat->cat_ID, $options['exclude_main'])) {} else {$include_main=$include_main.$cat->cat_ID.', ';}
		if (in_array( '-' . $cat->cat_ID, $options['exclude_feed'])) {} else {$include_feed=$include_feed.$cat->cat_ID.', ';}
		if (in_array( '-' . $cat->cat_ID, $options['exclude_archives'])) {} else {$include_archives=$include_archives.$cat->cat_ID.', ';}
		if (in_array( '-' . $cat->cat_ID, $options['exclude_author'])) {} else {$include_author=$include_author.$cat->cat_ID.', ';}
		if (in_array( '-' . $cat->cat_ID, $options['exclude_suchen'])) {} else {$include_suchen=$include_suchen.$cat->cat_ID.', ';}
		//if (in_array( '-' . $cat->cat_ID, $options['exclude_tags'])) {} else  {$include_tags=$include_tags.$cat->cat_ID.', ';}
	}
	if (!empty($include_main)) {$include_main=substr($include_main,0,-2);}
	if (!empty($include_feed)) {$include_feed=substr($include_feed,0,-2);}
	if (!empty($include_archives)) {$include_archives=substr($include_archives,0,-2);}
	if (!empty($include_author)) {$include_author=substr($include_author,0,-2);}
	if (!empty($include_suchen)) {$include_suchen=substr($include_suchen,0,-2);}
	//if (!empty($include_tags)) {$include_tags=substr($include_tags,0,-2);}
	if ($query->is_home) {
		$query->set('cat', $include_main );
	}
	elseif (is_search()) {
		$query->set('cat', $include_suchen );
	}
	elseif (is_tag()) {
	//echo $query;
		//$query->set('cat', $include_tags );
	}
	elseif ($query->is_feed) {
		$query->set('cat', $include_feed );
	}
	elseif (is_archive() && is_author()) {
		$query->set('cat', $include_author );
	}
	elseif (is_archive() && !is_category()) {
		$query->set('cat', $include_archives );
	}
}
return $query;
}

?>
