<?php
/*
	Posts exclude
	URI: http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/
	Schliesst Beitraege aus den Kategorien, dem Archiv, den Feeds und der Startseite aus.
	Author: Elke Burmester
	Version: 1.0 Beta
	Author URI: http://elke-burmester.de
*/

add_filter('posts_where', 'eb_where_cat' );

function posts_exclude_options_page() {
	if ( isset($_POST['reset_ebpe']) ) {
		$message = ebquery_uninstall_ebpeExcludes();
	}
	elseif( $_POST[ 'ebpe' ] ) {
		$message = posts_exclude_process();
	}
	$options = posts_exclude_get_options();
	?>
	<div class="wrap">
		<?=$message ?>
	<form action="admin.php?page=eb_posts_exclude" method="post">
 <h2>Beitr&auml;ge in Kategorien ausschlie&szlig;en</h2>
  Aktivieren Sie die Beitr&auml;ge, die <u><strong>nicht</strong></u> angezeigt werden sollen und klicken Sie anschlie&szlig;end auf den Button [&Auml;nderungen speichern].<br /><br />
	<br />
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /><input type="hidden" name="ebpe" value="true" /></div>
	<br />

	 <?php
	 global $post;
		$cats = get_categories();
		$alt = 0;
foreach( $cats as $cat ) {
$myposts = get_posts('numberposts=9999&category='.$cat->cat_ID);
echo $cat->cat_name.' ('.$cat->cat_ID.')<br />';
$exclude_post="exclude_post".$cat->cat_ID;
?>
<?php $alt = 0; ?>
	<table class="widefat">
		<thead>
			<tr>
				<th style="width:2%;"></th>
				<th style="width:95%;">Titel</th>
			</tr>
		</thead>
		<tbody id="the-list">
<?php

foreach($myposts as $mpost) :
 ?>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<td style="width:2%;"><input type="checkbox" name="<?php echo $exclude_post.'[]'; ?>" value="-<?=$mpost->ID ?>" <? if (is_array($options[$exclude_post])) {if ( in_array( '-' . $mpost->ID, $options[$exclude_post] ) ) { echo 'checked="true" '; }} else {if ('-' . $mpost->ID==$options[$exclude_post]) {echo 'checked="true" ';}}  ?>/></td>
				<td style="width:95%;">
					<?php echo $mpost->post_title; ?>
				</td>
			</tr>
<?php endforeach; 
		echo '</tbody>';
	echo '</table><br />';
?>
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /><input type="hidden" name="ebpe" value="true" /></div>
	<br />
<?php  } ?>
	</form>
	<br />
	<h2>Einstellungen l&ouml;schen</h2>
	<p>Wenn Sie die Einstellungen l&ouml;schen wollen, dann klicken Sie bitte auf den Button [l&ouml;schen].</p>
	<form action="admin.php?page=eb_posts_exclude" method="post">
		<div style="width:100%;text-align:right;"><input type="submit" name="reset_ebpe" value="Einstellungen l&ouml;schen" /></div>
	</form>	
	</div><?
}

function posts_exclude_process() {
	$cats = get_categories();
	foreach( $cats as $cat ) {
		$exclude_post="exclude_post".$cat->cat_ID;
		if( !$_POST[ $exclude_post ] ) { $_POST[ $exclude_post ] = array();}
		$options[ $exclude_post ] = $_POST[ $exclude_post ];
	}
	update_option('ebpeExcludes', $options);
	$message = "<div class='updated'><p>&Auml;nderungen wurden erfolgreich durchgef&uuml;hrt.</p></div>";
	return $message;
}

function posts_exclude_get_options(){
	$defaults = array();
	$cats = get_categories();
	foreach( $cats as $cat ) {
		$exclude_post="exclude_post".$cat->cat_ID;
		$defaults[ $exclude_post ] = array();
	}
	$options = get_option('ebpeExcludes');
	if (!is_array($options)){
		$options = $defaults;
		update_option('ebpeExcludes', $options);
	}
	return $options;
}

function eb_where_cat($where) {
	global $gloss_category, $wpdb;
	$category_id = intval(get_query_var('cat'));
    if( is_tag()) {
	/*
		$options = ebce_get_options();
		$include_tags = "";
		$where1=' and (';
		$cats = get_categories();
		foreach( $cats as $cat ) {
			if (in_array( '-' . $cat->cat_ID, $options['exclude_tags'])) {$where1=$where1." $wpdb->terms.term_id != ".$cat->cat_ID." and";}
		}
		if ($where1!=" and (") {$where1=substr($where1,0,-3).")";} else {$where1="";}
		echo $where.$where1;
	 	return $where.$where1;
		*/
    }
    elseif( is_category( $gloss_category )) {
		$options = posts_exclude_get_options();
		if( is_category( $category_id )) {
			$exclude_post="exclude_post".$category_id;
			$array="";
			$array=$options[ $exclude_post ];
			$where1="";
			$where1=" and (";
			//$myposts = get_posts('numberposts=9999&category='.$category_id);
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts, $wpdb->terms where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private') and $wpdb->terms.term_id = ".$category_id." "));
			$include_post="";
			if (!is_array($array)) {
			}
			else {
				foreach($myposts as $post) :
					if (in_array( '-' . $post->ID, $array)) {
						if (count($myposts)==count($array)) {
						// Schleife einfgen,
							$where1=$where1."$wpdb->posts.ID != ".$post->post_cat.')';
							return $where.$where1;
						}
					} 
					else {
					$include_post=$include_post.$post->ID.', ';
					}
				endforeach;
				$array2="";
				$array2=explode(', ',$include_post);
				for( $i=0;$i<count($array2)-1;$i++) {
					$where1=$where1."$wpdb->posts.ID = ".$array2[$i].' or ';
				}
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-3).")";} else {$where1="";}
   			return $where.$where1;
		}
    }
    return $where;
}

?>
