<?php
/*
	Posts exclude Home, Feeds and  Archive
	URI: http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/
	Schliesst Beitraege aus den Archiv, den Feeds und der Startseite aus.
	Author: Elke Burmester
	Version: 1.0 Beta
	Author URI: http://elke-burmester.de
*/

add_filter('posts_where', 'eb_where_hfa' );

function postsother_exclude_options_page() {
	if ( isset($_POST['reset_ebpoe']) ) {
		$message = ebquery_uninstall_ebpoeExcludes().'<br /><br />';
	}
	elseif( $_POST[ 'ebpoe' ] ) {
		$message = postsother_exclude_process().'<br /><br />';
	}
	$options = postsother_exclude_get_options();
	?>
<div class="wrap" style="border:none;"><?=$message ?>
	<form action="admin.php?page=eb_postsother_exclude" method="post">
	<h2>Beitr&auml;ge in Home, Feeds und Archiven ausschlie&szlig;en</h2>
	Aktivieren Sie die Beitr&auml;ge, die <u><strong>nicht</strong></u> angezeigt werden sollen und klicken Sie anschlie&szlig;end auf den Button [&Auml;nderungen speichern].<br /><br />
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
	<table class="widefat">
		<thead>
			<tr>
				<th style="width:5%;">ID</th>
				<th style="width:5%;">Datum</th>
				<th style="width:40%;">Titel</th>
				<th style="width:10%;">Kategorie(n)</th>
				<th style="width:10%;text-align:center;">Startseite</th>
				<th style="width:10%;text-align:center;">Feed</th>
				<th style="width:10%;text-align:center;">Archiv</th>
				<th style="width:10%;text-align:center;">Autor</th>
				<th style="width:10%;text-align:center;">Suchen</th>
				<th style="width:10%;text-align:center;">Tags</th>
			</tr>
		</thead>
		<tbody id="the-list">
<?php
global $post;
$alt = 0;
$myposts=get_posts('numberposts=9999&category');

foreach($myposts as $mpost) :
 ?>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<td style="width:5%;text-align:right;"><?php echo $mpost->ID; ?></td>
				<td style="width:5%;"><?php echo $mpost->post_date; ?></td>
				<td style="width:40%;"><?php echo $mpost->post_title; ?></td>
				<td style="width:10%;"><?php foreach((get_the_category($mpost->ID)) as $category) { echo $category->cat_name . ' '; } ?></td>
				<td style="width:10%;text-align:center;"><input type="checkbox" name="exclude_post_main[]" value="-<?=$mpost->ID ?>" <? if ( in_array( '-' . $mpost->ID, $options['exclude_post_main'] ) ) { echo 'checked="true" '; }  ?>/></td>
				<td style="width:10%;text-align:center;"><input type="checkbox" name="exclude_post_feed[]" value="-<?=$mpost->ID ?>" <? if ( in_array( '-' . $mpost->ID, $options['exclude_post_feed'] ) ) { echo 'checked="true" '; }  ?>/></td>
				<td style="width:10%;text-align:center;"><input type="checkbox" name="exclude_post_archive[]" value="-<?=$mpost->ID ?>" <? if ( in_array( '-' . $mpost->ID, $options['exclude_post_archive'] ) ) { echo 'checked="true" '; }  ?>/></td>
				<td style="width:10%;text-align:center;"><input type="checkbox" name="exclude_post_author[]" value="-<?=$mpost->ID ?>" <? if ( in_array( '-' . $mpost->ID, $options['exclude_post_author'] ) ) { echo 'checked="true" '; }  ?>/></td>
				<td style="width:10%;text-align:center;"><input type="checkbox" name="exclude_post_suchen[]" value="-<?=$mpost->ID ?>" <? if ( in_array( '-' . $mpost->ID, $options['exclude_post_suchen'] ) ) { echo 'checked="true" '; }  ?>/></td>
				<td style="width:10%;text-align:center;"><input type="checkbox" name="exclude_post_tags[]" value="-<?=$mpost->ID ?>" <? if ( in_array( '-' . $mpost->ID, $options['exclude_post_tags'] ) ) { echo 'checked="true" '; }  ?>/></td>
			</tr>
<?php endforeach; 
		echo '</tbody>';
	echo '</table><br />';
?>
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
	<input type="hidden" name="ebpoe" value="true" />
	</form>
	<h2>Einstellungen l&ouml;schen</h2>
	<p>Wenn Sie die Einstellungen l&ouml;schen wollen, dann klicken Sie bitte auf den Button [l&ouml;schen].</p>
	<form action="admin.php?page=eb_postsother_exclude" method="post">
		<div style="width:100%;text-align:right;"><input type="submit" name="reset_ebpoe" value="l&ouml;schen" /></div>
	</form>
	<br />
</div><?
}
function postsother_exclude_process() {
	if( !$_POST[ 'exclude_post_main' ] ) { $_POST[ 'exclude_post_main' ] = array();}
	if( !$_POST[ 'exclude_post_feed' ] ) { $_POST[ 'exclude_post_feed' ] = array();}
	if( !$_POST[ 'exclude_post_archive' ] ) { $_POST[ 'exclude_post_archive' ] = array();}
	if( !$_POST[ 'exclude_post_author' ] ) { $_POST[ 'exclude_post_author' ] = array();}
	if( !$_POST[ 'exclude_post_suchen' ] ) { $_POST[ 'exclude_post_suchen' ] = array();}
	if( !$_POST[ 'exclude_post_tags' ] ) { $_POST[ 'exclude_post_tags' ] = array();}
	$options[ 'exclude_post_main' ] = $_POST[ 'exclude_post_main' ];
	$options[ 'exclude_post_feed' ] = $_POST[ 'exclude_post_feed' ];
	$options[ 'exclude_post_archive' ] = $_POST[ 'exclude_post_archive' ];
	$options[ 'exclude_post_author' ] = $_POST[ 'exclude_post_author' ];
	$options[ 'exclude_post_suchen' ] = $_POST[ 'exclude_post_suchen' ];
	$options[ 'exclude_post_tags' ] = $_POST[ 'exclude_post_tags' ];
	update_option('ebpoeExcludes', $options);
	$message = "<div class='updated'><p>&Auml;nderungen wurden erfolgreich durchgef&uuml;hrt.</p></div>";
	return $message;
}

function postsother_exclude_get_options(){
	$options = get_option('ebpoeExcludes');
	if (!isset($options['exclude_post_main'])){
		$defaults['exclude_post_main'] = array();
		$options = get_option('ebpoeExcludes');
		$options['exclude_post_main'] = $defaults['exclude_post_main'];
		update_option('ebpoeExcludes', $options);
	}
	if (!isset($options['exclude_post_feed'])){
		$defaults['exclude_post_feed'] = array();
		$options = get_option('ebpoeExcludes');
		$options['exclude_post_feed'] = $defaults['exclude_post_feed'];
		update_option('ebpoeExcludes', $options);
	}
	if (!isset($options['exclude_post_archive'])){
		$defaults['exclude_post_archive'] = array();
		$options = get_option('ebpoeExcludes');
		$options['exclude_post_archive'] = $defaults['exclude_post_archive'];
		update_option('ebpoeExcludes', $options);
	}
	if (!isset($options['exclude_post_author'])){
		$defaults['exclude_post_author'] = array();
		$options = get_option('ebpoeExcludes');
		$options['exclude_post_author'] = $defaults['exclude_post_author'];
		update_option('ebpoeExcludes', $options);
	}
	if (!isset($options['exclude_post_suchen'])){
		$defaults['exclude_post_suchen'] = array();
		$options = get_option('ebpoeExcludes');
		$options['exclude_post_suchen'] = $defaults['exclude_post_suchen'];
		update_option('ebpoeExcludes', $options);
	}
	if (!isset($options['exclude_post_tags'])){
		$defaults['exclude_post_tags'] = array();
		$options = get_option('ebpoeExcludes');
		$options['exclude_post_tags'] = $defaults['exclude_post_tags'];
		update_option('ebpoeExcludes', $options);
	}
	if (!is_array($options)){
		$defaults = array();
		$defaults[ 'exclude_post_main' ] = array();
		$defaults[ 'exclude_post_feed' ] = array();
		$defaults[ 'exclude_post_archive' ] = array();
		$defaults[ 'exclude_post_author' ] = array();
		$defaults[ 'exclude_post_suchen' ] = array();
		$defaults[ 'exclude_post_tags' ] = array();
		$options = $defaults;
		update_option('ebpoeExcludes', $options);
	}
	return $options;
}

function eb_where_hfa($where) {
	global $gloss_category, $wpdb;
    if( (is_archive() && is_category())) {} 
	else {
		$options = postsother_exclude_get_options();
		if( is_home()) {
			$array="";
			$array=$options[ 'exclude_post_main' ];
			$where1="";
			$where1=" and (";
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private')"));
			$include_post="";
			foreach($myposts as $post) :
				if (in_array( '-' . $post->ID, $array)) {$include_post=$include_post.$post->ID.', ';}
			endforeach;
			$array2="";
			$array2=explode(', ',$include_post);
			for( $i=0;$i<count($array2)-1;$i++) {
				$where1=$where1."$wpdb->posts.ID != ".$array2[$i].' and ';
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-4).")";} else {$where1="";}
   			return $where.$where1;
		}
		elseif (is_feed()) {
			$array="";
			$array=$options[ 'exclude_post_feed' ];
			$where1="";
			$where1=" and (";
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private')"));
			$include_post="";
			foreach($myposts as $post) :
				if (in_array( '-' . $post->ID, $array)) {$include_post=$include_post.$post->ID.', ';}
			endforeach;
			$array2="";
			$array2=explode(', ',$include_post);
			for( $i=0;$i<count($array2)-1;$i++) {
				$where1=$where1."$wpdb->posts.ID != ".$array2[$i].' and ';
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-4).")";} else {$where1="";}
   			return $where.$where1;
		}
		elseif (is_author()) {
			$array="";
			$array=$options[ 'exclude_post_author' ];
			$where1="";
			$where1=" and (";
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private')"));
			$include_post="";
			foreach($myposts as $post) :
				if (in_array( '-' . $post->ID, $array)) {$include_post=$include_post.$post->ID.', ';}
			endforeach;
			$array2="";
			$array2=explode(', ',$include_post);
			for( $i=0;$i<count($array2)-1;$i++) {
				$where1=$where1."$wpdb->posts.ID != ".$array2[$i].' and ';
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-4).")";} else {$where1="";}
			//echo $where1;
   			return $where.$where1;
		}
		elseif (is_search()) {
			$array="";
			$array=$options[ 'exclude_post_suchen' ];
			$where1="";
			$where1=" and (";
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private')"));
			$include_post="";
			foreach($myposts as $post) :
				if (in_array( '-' . $post->ID, $array)) {$include_post=$include_post.$post->ID.', ';}
			endforeach;
			$array2="";
			$array2=explode(', ',$include_post);
			for( $i=0;$i<count($array2)-1;$i++) {
				$where1=$where1."$wpdb->posts.ID != ".$array2[$i].' and ';
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-4).")";} else {$where1="";}
   			return $where.$where1;
		}
		elseif (is_tag()) {
			$array="";
			$array=$options[ 'exclude_post_tags' ];
			$where1="";
			$where1=" and (";
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private')"));
			$include_post="";
			foreach($myposts as $post) :
				if (in_array( '-' . $post->ID, $array)) {$include_post=$include_post.$post->ID.', ';}
			endforeach;
			$array2="";
			$array2=explode(', ',$include_post);
			for( $i=0;$i<count($array2)-1;$i++) {
				$where1=$where1."$wpdb->posts.ID != ".$array2[$i].' and ';
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-4).")";} else {$where1="";}
   			return $where.$where1;
		}
		elseif (is_archive()) {
			$array="";
			$array=$options[ 'exclude_post_archive' ];
			$where1="";
			$where1=" and (";
			$myposts = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts where $wpdb->posts.post_type = 'post' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'private')"));
			$include_post="";
			foreach($myposts as $post) :
				if (in_array( '-' . $post->ID, $array)) {$include_post=$include_post.$post->ID.', ';}
			endforeach;
			$array2="";
			$array2=explode(', ',$include_post);
			for( $i=0;$i<count($array2)-1;$i++) {
				$where1=$where1."$wpdb->posts.ID != ".$array2[$i].' and ';
			}
			if ($where1!=" and (") {$where1=substr($where1,0,-4).")";} else {$where1="";}
   			return $where.$where1;
		}
    }
    return $where;
}
?>
