<?php
/*
	query_cat
	URI: http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/
	Aendert die Parameter von query_posts (Categories).
	Author: Elke Burmester
	Version: 1.0 Beta
	Author URI: http://elke-burmester.de
*/

add_filter('posts_orderby', 'eb_orderby_cat' );
add_filter('post_limits', 'eb_limit_cat' );
add_filter('posts_where','eb_querycat_where');

function ebquerycat_options_page() {
	if ( isset($_POST['reset_ebquerycat']) ) {
		$message = ebquery_uninstall_ebquerycatExcludes();
	}
	elseif( $_POST[ 'ebquerycat' ] ) {
		$message = ebquerycat_process();
	}
	$options = ebquerycat_get_options();
	?>
	<div class="wrap">
		<?=$message ?>
	<form action="admin.php?page=eb_query_cat" method="post">
		<h2>Kategorien sortieren und Beitr&auml;ge ausschlie&szlig;en</h2>
	<br />
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
<table widt:100%><tr><td>
<?
$cats = get_categories();
$alt = 0;
foreach( $cats as $cat ) {
	$option_order_cat='order_cat'.$cat->cat_ID;
	$option_orderby_cat='orderby_cat'.$cat->cat_ID;
	$option_limit_cat='limit_cat'.$cat->cat_ID;
	$option_tag_cat='tag_cat'.$cat->cat_ID;
	$option_author_cat='author_cat'.$cat->cat_ID;
	$option_author_name_cat='author_name_cat'.$cat->cat_ID;
	$option_hour_cat='hour_cat'.$cat->cat_ID;
	$option_minute_cat='minute_cat'.$cat->cat_ID;
	$option_second_cat='second_cat'.$cat->cat_ID;
	$option_day_cat='day_cat'.$cat->cat_ID;
	$option_monthnum_cat='monthnum_cat'.$cat->cat_ID;
	$option_year_cat='year_cat'.$cat->cat_ID;
	$alt = 0; 
	echo '<strong>'.$cat->cat_name.' (' . $cat->cat_ID . ')</strong>';
?>
	<table width=60% class="widefat">
		<thead>
			<tr>
				<th style="width:50%;">Parameter</th>
				<th style="width:50%;"></th>
			</tr>
		</thead>
		<tbody id="the-list">
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">auf-/absteigende Sortierung (order)</th>
				<td style="width:50%;">
					<select style="width:162px;" name="<?php echo $option_order_cat; ?>" class="normal">
						<option value=""<?php if ($options[$option_order_cat]=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options[$option_order_cat]=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)</option>
						<option value="DESC"<?php if ($options[$option_order_cat]=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Sortieren nach (orderby)</th>
				<td style="width:50%;">
					<select style="width:162px;" name="<?php echo $option_orderby_cat; ?>" class="normal">
						<option value=""<?php if ($options[$option_orderby_cat]=="") {echo ' SELECTED';} ?>></option>
						<option value="ID"<?php if ($options[$option_orderby_cat]=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="post_author"<?php if ($options[$option_orderby_cat]=="post_author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="post_date"<?php if ($options[$option_orderby_cat]=="post_date") {echo ' SELECTED';} ?>>Erstellungsdatum</option>
						<option value="post_date_gmt"<?php if ($options[$option_orderby_cat]=="post_date_gmt") {echo ' SELECTED';} ?>>Erstellungsdatum (GMT)</option>
						<option value="post_content"<?php if ($options[$option_orderby_cat]=="post_content") {echo ' SELECTED';} ?>>Inhalt</option>
						<option value="post_title"<?php if ($options[$option_orderby_cat]=="post_title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="post_category"<?php if ($options[$option_orderby_cat]=="post_category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="post_excerpt"<?php if ($options[$option_orderby_cat]=="post_excerpt") {echo ' SELECTED';} ?>>Excerpt</option>
						<option value="post_name"<?php if ($options[$option_orderby_cat]=="post_name") {echo ' SELECTED';} ?>>Name</option>
						<option value="post_modified"<?php if ($options[$option_orderby_cat]=="post_modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum</option>
						<option value="post_modified_gmt"<?php if ($options[$option_orderby_cat]=="post_modified_gmt") {echo ' SELECTED';} ?>>&Auml;nderungsdatum (GMT)</option>						
						<option value="post_content_filtered"<?php if ($options[$option_orderby_cat]=="post_content_filtered") {echo ' SELECTED';} ?>>post_content_filtered</option>
						<option value="post_parent"<?php if ($options[$option_orderby_cat]=="post_parent") {echo ' SELECTED';} ?>>post_parent</option>
						<option value="menu_order"<?php if ($options[$option_orderby_cat]=="menu_order") {echo ' SELECTED';} ?>>menu_order</option>
						<option value="comment_count"<?php if ($options[$option_orderby_cat]=="comment_count") {echo ' SELECTED';} ?>>Anzahl der Kommentare</option>
						<option value="comment_status"<?php if ($options[$option_orderby_cat]=="comment_status") {echo ' SELECTED';} ?>>Kommentarstatus</option>
						<option value="ping_status"<?php if ($options[$option_orderby_cat]=="ping_status") {echo ' SELECTED';} ?>>Pingstatus</option>
						<option value="to_ping"<?php if ($options[$option_orderby_cat]=="to_ping") {echo ' SELECTED';} ?>>to_ping</option>
						<option value="pinged"<?php if ($options[$option_orderby_cat]=="pinged") {echo ' SELECTED';} ?>>pinged</option>
					</select>
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Anzahl Beitr&auml;ge (pro Seite)</th>
				<td style="width:50%;">
				<?php if ($options[$option_limit_cat]=="ID") {$options[$option_limit_cat]="";} ?>
					<input type="text" name="<?php echo $option_limit_cat; ?>" class="normal" value="<? echo $options[$option_limit_cat]; ?>" />
				</td>
			</tr>
			<!--
			<tr<? /* if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } */?>>
				<th style="width:50%;">tags</th>
				<td style="width:50%;">
					<input type="text" name="<?php /*echo $option_tag_cat; */?>" class="normal" value="<? /*echo $options[$option_tag_cat]; */?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Autor (ID)</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_author_cat; ?>" class="normal" value="<? echo $options[$option_author_cat]; ?>" />
				</td>
			</tr>
			<!--
			<tr<? /*if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; }*/ ?>>
				<th style="width:50%;">author_name</th>
				<td style="width:50%;">
					<input type="text" name="<?php /*echo $option_author_name_cat;*/ ?>" class="normal" value="<? /*echo $options[$option_author_name_cat];*/ ?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Jahr</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_year_cat; ?>" class="normal" value="<? echo $options[$option_year_cat]; ?>" />
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Monat</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_monthnum_cat; ?>" class="normal" value="<? echo $options[$option_monthnum_cat]; ?>" />
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Tag</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_day_cat; ?>" class="normal" value="<? echo $options[$option_day_cat]; ?>" />
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Stunde</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_hour_cat; ?>" class="normal" value="<? echo $options[$option_hour_cat]; ?>" />
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Minute</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_minute_cat; ?>" class="normal" value="<? echo $options[$option_minute_cat]; ?>" />
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th style="width:50%;">Sekunde</th>
				<td style="width:50%;">
					<input type="text" name="<?php echo $option_second_cat; ?>" class="normal" value="<? echo $options[$option_second_cat]; ?>" />
				</td>
			</tr>
		</tbody>			
	</table>
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
	
<?php } ?>
	</td>
	<td style="width:50%;vertical-align:top;">
	<br />
	<table class="widefat">
		<thead>
			<tr>
				<th>Erl&auml;uterungen (Beispiele)</th>
			</tr>
		</thead>
		<tbody id="the-list">
			<tr>
				<td>
					<strong>Autor (ID):</strong><br />
					Geben Sie die ID des gew&uuml;nschten Autors ein.<br /><br />
					<strong>Jahr:</strong><br />
					Bitte geben Sie eine 4-stellige Zahl ein.<br />
					Beispiele: 1998 oder 2005<br /><br />
					<strong>Monat, Tag, Stunde, Minute, Sekunde:</strong><br />
					Bitte geben Sie eine 2-stellige Zahl ein.<br />
					Beispiele: 05, 09, 15 oder 59<br />
					<br />
					Weitere Infos zur Funktion query_posts erhalten Sie <a href="http://codex.wordpress.org/User:JamesVL/query_posts" target="_blank">hier</a>.
					<br /><br />
				</td>
			</tr>
		</tbody>			
	</table>
	</td></tr></table>
	<input type="hidden" name="ebquerycat" value="true" /></form>
	<br />
	<h2>Einstellungen l&ouml;schen</h2>
	<p>Wenn Sie die Einstellungen l&ouml;schen wollen, dann klicken Sie bitte auf den Button [l&ouml;schen].</p>
	<form action="admin.php?page=eb_query_cat" method="post">
		<div style="width:100%;text-align:right;"><input type="submit" name="reset_ebquerycat" value="l&ouml;schen" /></div>
	</form>
</div><?
}

function ebquerycat_process() {
	$cats = get_categories();
	foreach( $cats as $cat ) {
		$option_order_cat='order_cat'.$cat->cat_ID;
		$option_orderby_cat='orderby_cat'.$cat->cat_ID;
		$option_limit_cat='limit_cat'.$cat->cat_ID;
		$option_tag_cat='tag_cat'.$cat->cat_ID;
		$option_author_cat='author_cat'.$cat->cat_ID;
		$option_author_name_cat='author_name_cat'.$cat->cat_ID;
		$option_hour_cat='hour_cat'.$cat->cat_ID;
		$option_minute_cat='minute_cat'.$cat->cat_ID;
		$option_second_cat='second_cat'.$cat->cat_ID;
		$option_day_cat='day_cat'.$cat->cat_ID;
		$option_monthnum_cat='monthnum_cat'.$cat->cat_ID;
		$option_year_cat='year_cat'.$cat->cat_ID;
		if( !$_POST[ $option_order_cat ] ) $_POST[ $option_order_cat ] = "";
		$options[ $option_order_cat ] = $_POST[ $option_order_cat ];
		if( !$_POST[ $option_orderby_cat ] ) $_POST[ $option_orderby_cat ] = "";
		$options[ $option_orderby_cat ] = $_POST[ $option_orderby_cat ];
		if( !$_POST[ $option_limit_cat ] ) $_POST[ $option_limit_cat ] = "";
		$options[ $option_limit_cat ] = $_POST[ $option_limit_cat ];
		if( !$_POST[ $option_tag_cat ] ) $_POST[ $option_tag_cat ] = "";
		$options[ $option_tag_cat ] = $_POST[ $option_tag_cat ];
		if( !$_POST[ $option_author_cat ] ) $_POST[ $option_author_cat ] = "";
		$options[ $option_author_cat ] = $_POST[ $option_author_cat ];
		if( !$_POST[ $option_author_name_cat ] ) $_POST[ $option_author_name_cat ] = "";
		$options[ $option_author_name_cat ] = $_POST[ $option_author_name_cat ];
		if( !$_POST[ $option_hour_cat ] ) $_POST[ $option_hour_cat ] = "";
		$options[ $option_hour_cat ] = $_POST[ $option_hour_cat ];
		if( !$_POST[ $option_minute_cat ] ) $_POST[ $option_minute_cat ] = "";
		$options[ $option_minute_cat ] = $_POST[ $option_minute_cat ];
		if( !$_POST[ $option_second_cat ] ) $_POST[ $option_second_cat ] = "";
		$options[ $option_second_cat ] = $_POST[ $option_second_cat ];
		if( !$_POST[ $option_day_cat ] ) $_POST[ $option_day_cat ] = "";
		$options[ $option_day_cat ] = $_POST[ $option_day_cat ];
		if( !$_POST[ $option_monthnum_cat ] ) $_POST[ $option_monthnum_cat ] = "";
		$options[ $option_monthnum_cat ] = $_POST[ $option_monthnum_cat ];
		if( !$_POST[ $option_year_cat ] ) $_POST[ $option_year_cat ] = "";
		$options[ $option_year_cat ] = $_POST[ $option_year_cat ];
	}
	update_option('ebquerycatExcludes', $options);
	$message = "<div class='updated'><p>&Auml;nderungen wurden erfolgreich &uuml;bernommen.</p></div>";
	return $message;
}

function ebquerycat_get_options(){
	$defaults = array();
	$cats = get_categories();
	foreach( $cats as $cat ) {
		$option_order_cat="order_cat".$cat->cat_ID;
		$option_orderby_cat="orderby_cat".$cat->cat_ID;
		$option_limit_cat="limit_cat".$cat->cat_ID;
		$option_tag_cat='tag_cat'.$cat->cat_ID;
		$option_author_cat='author_cat'.$cat->cat_ID;
		$option_author_name_cat='author_name_cat'.$cat->cat_ID;
		$option_hour_cat='hour_cat'.$cat->cat_ID;
		$option_minute_cat='minute_cat'.$cat->cat_ID;
		$option_second_cat='second_cat'.$cat->cat_ID;
		$option_day_cat='day_cat'.$cat->cat_ID;
		$option_monthnum_cat='monthnum_cat'.$cat->cat_ID;
		$option_year_cat='year_cat'.$cat->cat_ID;
		$defaults[ $option_order_cat ] = '';
		$defaults[ $option_orderby_cat ] = '';
		$defaults[ $option_limit_cat ] = '';
		$defaults[ $option_tag_cat ] = '';
		$defaults[ $option_author_cat ] = '';
		$defaults[ $option_author_name_cat ] = '';
		$defaults[ $option_hour_cat ] = '';
		$defaults[ $option_minute_cat ] = '';
		$defaults[ $option_second_cat ] = '';
		$defaults[ $option_day_cat ] = '';
		$defaults[ $option_monthnum_cat ] = '';
		$defaults[ $option_year_cat ] = '';
	}
	$options = get_option('ebquerycatExcludes');
	if (!is_array($options)){
		$options = $defaults;
		update_option('ebquerycatExcludes', $options);
	}
	return $options;
}

function eb_orderby_cat( $orderby )
{
	global $gloss_category;
	if( is_category( $gloss_category )) {
		$options = ebquerycat_get_options();
		$cats = get_categories();
		foreach( $cats as $cat ) {
			if( is_category( $cat->cat_ID )) {
				$option_order_cat='order_cat'.$cat->cat_ID;
				$option_orderby_cat='orderby_cat'.$cat->cat_ID;
				if (!empty($options[ $option_order_cat ]) and !empty($options[ $option_orderby_cat ])) {
				return $options[ $option_orderby_cat ]." ".$options[ $option_order_cat ];
				}
			}
		}
	}
	// not in glossary category, return default order by
	return $orderby;
}

function eb_limit_cat( $limits )
{
    global $gloss_category;
	if ( is_category( $gloss_category )) {
		$options = ebquerycat_get_options();
		$cats = get_categories();
		foreach( $cats as $cat ) {
			if( is_category( $cat->cat_ID )) {
				$option_limit_cat='limit_cat'.$cat->cat_ID;
				if (!empty($options[ $option_limit_cat ]) and $options[ $option_limit_cat ]!="ID") {$limits=" limit ".$options[ $option_limit_cat ];}
				return $limits;
			}
		}
    }

    // not in glossary category, return default limits
    return $limits;
}
function eb_querycat_where($where) {
    global $gloss_category,$wpdb;
	if( is_category( $gloss_category )) {
		$options = ebquerycat_get_options();
		$cats = get_categories();
		foreach( $cats as $cat ) {
			if( is_category( $cat->cat_ID )) {
				$option_tag_cat='tag_cat'.$cat->cat_ID;
				$option_author_cat='author_cat'.$cat->cat_ID;
				$option_author_name_cat='author_name_cat'.$cat->cat_ID;
				$option_hour_cat='hour_cat'.$cat->cat_ID;
				$option_minute_cat='minute_cat'.$cat->cat_ID;
				$option_second_cat='second_cat'.$cat->cat_ID;
				$option_day_cat='day_cat'.$cat->cat_ID;
				$option_monthnum_cat='monthnum_cat'.$cat->cat_ID;
				$option_year_cat='year_cat'.$cat->cat_ID;
				$where1="";
				if (!empty($options[ $option_author_cat ])) {
					$where1=$where1." and $wpdb->posts.post_author = ".$options[ $option_author_cat ]." ";
				}
				if (!empty($options[ $option_hour_cat ])) {
					$where1=$where1." and DATE_FORMAT($wpdb->posts.post_date, '%k') = ".$options[ $option_hour_cat ]." ";
				}
				if (!empty($options[ $option_minute_cat ])) {
					$where1=$where1." and DATE_FORMAT($wpdb->posts.post_date, '%i') = ".$options[ $option_minute_cat ]." ";
				}
				if (!empty($options[ $option_second_cat ])) {
					$where1=$where1." and DATE_FORMAT($wpdb->posts.post_date, '%s') = ".$options[ $option_second_cat ]." ";
				}
				if (!empty($options[ $option_day_cat ])) {
					$where1=$where1." and DATE_FORMAT($wpdb->posts.post_date, '%e') = ".$options[ $option_day_cat ]." ";
				}
				if (!empty($options[ $option_monthnum_cat ])) {
					$where1=$where1." and DATE_FORMAT($wpdb->posts.post_date, '%c') = ".$options[ $option_monthnum_cat ]." ";
				}
				if (!empty($options[ $option_year_cat ])) {
					$where1=$where1." and DATE_FORMAT($wpdb->posts.post_date, '%Y') = ".$options[ $option_year_cat ]." ";
				}
    			return $where.$where1;
			}
		}
	}
	return $where;
}


?>
