<?php
/*
	query_other
	URI: http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/
	Aendert die Parameter von query_posts (Home, Feeds, Archiv).
	Author: Elke Burmester
	Version: 1.0 Beta
	Author URI: http://elke-burmester.de
*/

add_filter('pre_get_posts','ebquery_exclude_categories');

function ebquery_options_page() {
	if ( isset($_POST['reset_ebquery']) ) {
		$message = ebquery_uninstall_ebqueryExcludes();
	}
	elseif( $_POST[ 'ebquery' ] ) {
		$message = ebquery_process();
	}
	$options = ebquery_get_options();
	?>
	<form action="admin.php?page=eb_query_other" method="post">
	<div class="wrap">
	<?=$message ?>
	<h2>Home, Feeds, Archive sortieren / Beitr&auml;ge ausschlie&szlig;en</h2>
	<?php $alt = 0; ?>
	<div style="width:50%;text-align:left;">
	<table class="widefat">
		<thead>
			<tr>
				<th>Erl&auml;uterungen (Beispiele)</th>
			</tr>
		</thead>
		<tbody id="the-list">
			<tr>
				<td>
					<strong>Autor (ID):</strong><br />
					Geben Sie die ID des gew&uuml;nschten Autors ein.<br /><br />
					<strong>Jahr:</strong><br />
					Bitte geben Sie eine 4-stellige Zahl ein.<br />
					Beispiele: 1998 oder 2005<br /><br />
					<strong>Monat, Tag, Stunde, Minute, Sekunde:</strong><br />
					Bitte geben Sie eine 2-stellige Zahl ein.<br />
					Beispiele: 05, 09, 15 oder 59<br />
					<br />
					Weitere Infos zur Funktion query_posts erhalten Sie <a href="http://codex.wordpress.org/User:JamesVL/query_posts" target="_blank">hier</a>.
					<br /><br />
				</td>
			</tr>
		</tbody>			
	</table>
	</div>
	<br />
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
	<table class="widefat">
		<thead>
			<tr>
				<th scope="col">Parameter</th>
				<th scope="col" class="text-align:center;">Home</th>
				<th scope="col" class="text-align:center;">Feeds</th>
				<th scope="col" class="text-align:center;">Archiv</th>
			</tr>
		</thead>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">auf-/absteigende Sortierung (order)</th>
				<td>
					<select name="order_main" class="normal">
						<option value=""<?php if ($options['order_main']=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options['order_main']=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)&nbsp;&nbsp;</option>
						<option value="DESC"<?php if ($options['order_main']=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
				<td>
					<select name="order_feed" class="normal">
						<option value=""<?php if ($options['order_feed']=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options['order_feed']=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)&nbsp;&nbsp;</option>
						<option value="DESC"<?php if ($options['order_feed']=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
				<td>
					<select name="order_archives" class="normal">
						<option value=""<?php if ($options['order_archives']=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options['order_archives']=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)&nbsp;&nbsp;</option>
						<option value="DESC"<?php if ($options['order_archives']=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Sortieren nach (orderby)</th>
				<td>
					<select name="orderby_main" class="normal">
						<option value=""<?php if ($options['orderby_main']=="") {echo ' SELECTED';} ?>></option>
						<option value="category"<?php if ($options['orderby_main']=="category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="author"<?php if ($options['orderby_main']=="author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="title"<?php if ($options['orderby_main']=="title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="date"<?php if ($options['orderby_main']=="date") {echo ' SELECTED';} ?>>Erstellungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="modified"<?php if ($options['orderby_main']=="modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="menu_order"<?php if ($options['orderby_main']=="menu_order") {echo ' SELECTED';} ?>>Feld menu_order</option>
						<option value="parent"<?php if ($options['orderby_main']=="parent") {echo ' SELECTED';} ?>>Feld parent</option>
						<option value="ID"<?php if ($options['orderby_main']=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="rand"<?php if ($options['orderby_main']=="rand") {echo ' SELECTED';} ?>>Feld rand</option>
					</select>
				</td>
				<td>
					<select name="orderby_feed" class="normal">
						<option value=""<?php if ($options['orderby_feed']=="") {echo ' SELECTED';} ?>></option>
						<option value="category"<?php if ($options['orderby_feed']=="category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="author"<?php if ($options['orderby_feed']=="author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="title"<?php if ($options['orderby_feed']=="title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="date"<?php if ($options['orderby_feed']=="date") {echo ' SELECTED';} ?>>Erstellungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="modified"<?php if ($options['orderby_feed']=="modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="menu_order"<?php if ($options['orderby_feed']=="menu_order") {echo ' SELECTED';} ?>>Feld menu_order</option>
						<option value="parent"<?php if ($options['orderby_feed']=="parent") {echo ' SELECTED';} ?>>Feld parent</option>
						<option value="ID"<?php if ($options['orderby_feed']=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="rand"<?php if ($options['orderby_feed']=="rand") {echo ' SELECTED';} ?>>Feld rand</option>
					</select>
				</td>
				<td>
					<select name="orderby_archives" class="normal">
						<option value=""<?php if ($options['orderby_archives']=="") {echo ' SELECTED';} ?>></option>
						<option value="category"<?php if ($options['orderby_archives']=="category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="author"<?php if ($options['orderby_archives']=="author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="title"<?php if ($options['orderby_archives']=="title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="date"<?php if ($options['orderby_archives']=="date") {echo ' SELECTED';} ?>>Erstellungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="modified"<?php if ($options['orderby_archives']=="modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="menu_order"<?php if ($options['orderby_archives']=="menu_order") {echo ' SELECTED';} ?>>Feld menu_order</option>
						<option value="parent"<?php if ($options['orderby_archives']=="parent") {echo ' SELECTED';} ?>>Feld parent</option>
						<option value="ID"<?php if ($options['orderby_archives']=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="rand"<?php if ($options['orderby_archives']=="rand") {echo ' SELECTED';} ?>>Feld rand</option>
					</select>
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Anzahl Beitr&auml;ge (showposts)</th>
				<td>
					<input type="text" name="showposts_main" class="halb" value="<? echo $options['showposts_main']; ?>" />
				</td>
				<td>
					<input type="text" name="showposts_feed" class="halb" value="<? echo $options['showposts_feed']; ?>" />
				</td>
				<td>
					<input type="text" name="showposts_archives" class="halb" value="<? echo $options['showposts_archives']; ?>" />
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Anzahl Beitr&auml;ge pro Seite (posts_per_page)</th>
				<td>
					<input type="text" name="posts_per_page_main" class="halb" value="<? echo $options['posts_per_page_main']; ?>" />
				</td>
				<td>
					<input type="text" name="posts_per_page_feed" class="halb" value="<? echo $options['posts_per_page_feed']; ?>" />
				</td>
				<td>
					<input type="text" name="posts_per_page_archives" class="halb" value="<? echo $options['posts_per_page_archives']; ?>" />
				</td>
			</tr>
			<!--	
			<tr<? /*if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; }*/ ?>>
				<th scope="row">tag</th>
				<td>
					<input type="text" name="tag_main" class="normal" value="<? /*echo $options['tag_main'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="tag_feed" class="normal" value="<? /*echo $options['tag_feed'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="tag_archives" class="normal" value="<? /*echo $options['tag_archives'];*/ ?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Autor (ID)</th>
				<td>
					<input type="text" name="author_main" class="halb" value="<? echo $options['author_main']; ?>" />
				</td>
				<td>
					<input type="text" name="author_feed" class="halb" value="<? echo $options['author_feed']; ?>" />
				</td>
				<td>
					<input type="text" name="author_archives" class="halb" value="<? echo $options['author_archives']; ?>" />
				</td>
			</tr>
			<!--		
			<tr<? /*if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; }*/ ?>>
				<th scope="row">author_name</th>
				<td>
					<input type="text" name="author_name_main" class="normal" value="<? /*echo $options['author_name_main'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="author_name_feed" class="normal" value="<? /*echo $options['author_name_feed'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="author_name_archives" class="normal" value="<? /*echo $options['author_name_archives'];*/ ?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Jahr</th>
				<td>
					<input type="text" name="year_main" class="normal" value="<? echo $options['year_main']; ?>" /> 
				</td>
				<td>
					<input type="text" name="year_feed" class="normal" value="<? echo $options['year_feed']; ?>" />
				</td>
				<td>
					<!-- <input type="text" name="year_archives" class="normal" value="<? /* echo $options['year_archives']; */ ?>" /> -->
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Monat</th>
				<td>
					<input type="text" name="monthnum_main" class="normal" value="<? echo $options['monthnum_main']; ?>" />
				</td>
				<td>
					<input type="text" name="monthnum_feed" class="normal" value="<? echo $options['monthnum_feed']; ?>" />
				</td>
				<td>
					<!-- <input type="text" name="monthnum_archives" class="normal" value="<? /* echo $options['monthnum_archives']; */ ?>" /> -->
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Tag</th>
				<td>
					<input type="text" name="day_main" class="normal" value="<? echo $options['day_main']; ?>" />
				</td>
				<td>
					<input type="text" name="day_feed" class="normal" value="<? echo $options['day_feed']; ?>" />
				</td>
				<td>
					<!-- <input type="text" name="day_archives" class="normal" value="<? /* echo $options['day_archives']; */ ?>" /> -->
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Stunde</th>
				<td>
					<input type="text" name="hour_main" class="normal" value="<? echo $options['hour_main']; ?>" />
				</td>
				<td>
					<input type="text" name="hour_feed" class="normal" value="<? echo $options['hour_feed']; ?>" />
				</td>
				<td>
					<!-- <input type="text" name="hour_archives" class="normal" value="<? /* echo $options['hour_archives']; */ ?>" /> -->
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Minute</th>
				<td>
					<input type="text" name="minute_main" class="normal" value="<? echo $options['minute_main']; ?>" />
				</td>
				<td>
					<input type="text" name="minute_feed" class="normal" value="<? echo $options['minute_feed']; ?>" />
				</td>
				<td>
					<!-- <input type="text" name="minute_archives" class="normal" value="<? /* echo $options['minute_archives']; */ ?>" /> -->
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Sekunde</th>
				<td>
					<input type="text" name="second_main" class="normal" value="<? echo $options['second_main']; ?>" />
				</td>
				<td>
					<input type="text" name="second_feed" class="normal" value="<? echo $options['second_feed']; ?>" />
				</td>
				<td>
					<!-- <input type="text" name="second_archives" class="normal" value="<? /* echo $options['second_archives']; */ ?>" /> -->
				</td>
			</tr>			
	</table>
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
	<table class="widefat">
		<thead>
			<tr>
				<th scope="col">Parameter</th>
				<th scope="col" class="text-align:center;">Autor</th>
				<th scope="col" class="text-align:center;">Suchen</th>
				<th scope="col" class="text-align:center;">Tags</th>
			</tr>
		</thead>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">auf-/absteigende Sortierung (order)</th>
				<td>
					<select name="order_author" class="normal">
						<option value=""<?php if ($options['order_author']=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options['order_author']=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)&nbsp;&nbsp;</option>
						<option value="DESC"<?php if ($options['order_author']=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
				<td>
					<select name="order_suchen" class="normal">
						<option value=""<?php if ($options['order_suchen']=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options['order_suchen']=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)&nbsp;&nbsp;</option>
						<option value="DESC"<?php if ($options['order_suchen']=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
				<td>
					<select name="order_tags" class="normal">
						<option value=""<?php if ($options['order_tags']=="") {echo ' SELECTED';} ?>></option>
						<option value="ASC"<?php if ($options['order_tags']=="ASC") {echo ' SELECTED';} ?>>aufsteigend (ASC)&nbsp;&nbsp;</option>
						<option value="DESC"<?php if ($options['order_tags']=="DESC") {echo ' SELECTED';} ?>>absteigend (DESC)</option>
					</select>
				</td>
			</tr>
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Sortieren nach (orderby)</th>
				<td>
					<select name="orderby_author" class="normal">
						<option value=""<?php if ($options['orderby_author']=="") {echo ' SELECTED';} ?>></option>
						<option value="category"<?php if ($options['orderby_author']=="category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="author"<?php if ($options['orderby_author']=="author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="title"<?php if ($options['orderby_author']=="title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="date"<?php if ($options['orderby_author']=="date") {echo ' SELECTED';} ?>>Erstellungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="modified"<?php if ($options['orderby_author']=="modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="menu_order"<?php if ($options['orderby_author']=="menu_order") {echo ' SELECTED';} ?>>Feld menu_order</option>
						<option value="parent"<?php if ($options['orderby_author']=="parent") {echo ' SELECTED';} ?>>Feld parent</option>
						<option value="ID"<?php if ($options['orderby_author']=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="rand"<?php if ($options['orderby_author']=="rand") {echo ' SELECTED';} ?>>Feld rand</option>
					</select>
				</td>
				<td>
					<select name="orderby_suchen" class="normal">
						<option value=""<?php if ($options['orderby_suchen']=="") {echo ' SELECTED';} ?>></option>
						<option value="category"<?php if ($options['orderby_suchen']=="category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="author"<?php if ($options['orderby_suchen']=="author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="title"<?php if ($options['orderby_suchen']=="title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="date"<?php if ($options['orderby_suchen']=="date") {echo ' SELECTED';} ?>>Erstellungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="modified"<?php if ($options['orderby_suchen']=="modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="menu_order"<?php if ($options['orderby_suchen']=="menu_order") {echo ' SELECTED';} ?>>Feld menu_order</option>
						<option value="parent"<?php if ($options['orderby_suchen']=="parent") {echo ' SELECTED';} ?>>Feld parent</option>
						<option value="ID"<?php if ($options['orderby_suchen']=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="rand"<?php if ($options['orderby_suchen']=="rand") {echo ' SELECTED';} ?>>Feld rand</option>
					</select>
				</td>
				<td>
					<select name="orderby_tags" class="normal">
						<option value=""<?php if ($options['orderby_tags']=="") {echo ' SELECTED';} ?>></option>
						<option value="category"<?php if ($options['orderby_tags']=="category") {echo ' SELECTED';} ?>>Kategorie</option>
						<option value="author"<?php if ($options['orderby_tags']=="author") {echo ' SELECTED';} ?>>Autor</option>
						<option value="title"<?php if ($options['orderby_tags']=="title") {echo ' SELECTED';} ?>>Titel</option>
						<option value="date"<?php if ($options['orderby_tags']=="date") {echo ' SELECTED';} ?>>Erstellungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="modified"<?php if ($options['orderby_tags']=="modified") {echo ' SELECTED';} ?>>&Auml;nderungsdatum&nbsp;&nbsp;&nbsp;&nbsp;</option>
						<option value="menu_order"<?php if ($options['orderby_tags']=="menu_order") {echo ' SELECTED';} ?>>Feld menu_order</option>
						<option value="parent"<?php if ($options['orderby_tags']=="parent") {echo ' SELECTED';} ?>>Feld parent</option>
						<option value="ID"<?php if ($options['orderby_tags']=="ID") {echo ' SELECTED';} ?>>ID</option>
						<option value="rand"<?php if ($options['orderby_tags']=="rand") {echo ' SELECTED';} ?>>Feld rand</option>
					</select>
				</td>
			</tr>
			<!--
			<tr<? /*if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; }*/ ?>>
				<th scope="row">Anzahl Beitr&auml;ge (showposts)</th>
				<td>
					<input type="text" name="showposts_author" class="halb" value="<? /*echo $options['showposts_author'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="showposts_suchen" class="halb" value="<? /*echo $options['showposts_suchen'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="showposts_tags" class="halb" value="<? /*echo $options['showposts_tags'];*/ ?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Anzahl Beitr&auml;ge pro Seite (posts_per_page)</th>
				<td>
					<input type="text" name="posts_per_page_author" class="halb" value="<? echo $options['posts_per_page_author']; ?>" />
				</td>
				<td>
					<input type="text" name="posts_per_page_suchen" class="halb" value="<? echo $options['posts_per_page_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="posts_per_page_tags" class="halb" value="<? echo $options['posts_per_page_tags']; ?>" />
				</td>
			</tr>
			<!--	
			<tr<? /*if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; }*/ ?>>
				<th scope="row">tag</th>
				<td>
					<input type="text" name="tag_author" class="normal" value="<? /*echo $options['tag_author'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="tag_suchen" class="normal" value="<? /*echo $options['tag_suchen'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="tag_tags" class="normal" value="<? /*echo $options['tag_tags'];*/ ?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Autor (ID)</th>
				<td>
					<!-- <input type="text" name="author_author" class="halb" value="<? /*echo $options['author_author'];*/ ?>" /> -->
				</td>
				<td>
					<input type="text" name="author_suchen" class="halb" value="<? echo $options['author_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="author_tags" class="halb" value="<? echo $options['author_tags']; ?>" />
				</td>
			</tr>
			<!--		
			<tr<? /*if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; }*/ ?>>
				<th scope="row">author_name</th>
				<td>
					<input type="text" name="author_name_author" class="normal" value="<? /*echo $options['author_name_author'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="author_name_suchen" class="normal" value="<? /*echo $options['author_name_suchen'];*/ ?>" />
				</td>
				<td>
					<input type="text" name="author_name_tags" class="normal" value="<? /*echo $options['author_name_tags'];*/ ?>" />
				</td>
			</tr>
			-->
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Jahr</th>
				<td>
					<input type="text" name="year_author" class="normal" value="<? echo $options['year_author']; ?>" /> 
				</td>
				<td>
					<input type="text" name="year_suchen" class="normal" value="<? echo $options['year_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="year_tags" class="normal" value="<?  echo $options['year_tags']; ?>" /> 
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Monat</th>
				<td>
					<input type="text" name="monthnum_author" class="normal" value="<? echo $options['monthnum_author']; ?>" />
				</td>
				<td>
					<input type="text" name="monthnum_suchen" class="normal" value="<? echo $options['monthnum_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="monthnum_tags" class="normal" value="<? echo $options['monthnum_tags']; ?>" /> 
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Tag</th>
				<td>
					<input type="text" name="day_author" class="normal" value="<? echo $options['day_author']; ?>" />
				</td>
				<td>
					<input type="text" name="day_suchen" class="normal" value="<? echo $options['day_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="day_tags" class="normal" value="<? echo $options['day_tags']; ?>" />
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Stunde</th>
				<td>
					<input type="text" name="hour_author" class="normal" value="<? echo $options['hour_author']; ?>" />
				</td>
				<td>
					<input type="text" name="hour_suchen" class="normal" value="<? echo $options['hour_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="hour_tags" class="normal" value="<? echo $options['hour_tags']; ?>" /> 
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Minute</th>
				<td>
					<input type="text" name="minute_author" class="normal" value="<? echo $options['minute_author']; ?>" />
				</td>
				<td>
					<input type="text" name="minute_suchen" class="normal" value="<? echo $options['minute_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="minute_tags" class="normal" value="<? echo $options['minute_tags']; ?>" />
				</td>
			</tr>			
			<tr<? if ( $alt == 1 ) { echo ' class="alternate"'; $alt = 0; } else { $alt = 1; } ?>>
				<th scope="row">Sekunde</th>
				<td>
					<input type="text" name="second_author" class="normal" value="<? echo $options['second_author']; ?>" />
				</td>
				<td>
					<input type="text" name="second_suchen" class="normal" value="<? echo $options['second_suchen']; ?>" />
				</td>
				<td>
					<input type="text" name="second_tags" class="normal" value="<? echo $options['second_tags']; ?>" />
				</td>
			</tr>			
	</table>
	<div style="width:100%;text-align:right;"><input type="submit" value="&Auml;nderungen speichern" /></div>
	<br />
	<input type="hidden" name="ebquery" value="true" />
	</form><br />
		<h2>Einstellungen l&ouml;schen</h2>
		<p>Wenn Sie die Einstellungen l&ouml;schen wollen, dann klicken Sie bitte auf den Button [l&ouml;schen].</p>
	<form action="admin.php?page=eb_query_other" method="post">
<div style="width:100%;text-align:right;"><input type="submit" name="reset_ebquery" value="l&ouml;schen" /></div>
	</form>
	</div>
<?
}

function ebquery_process() {
	if( !$_POST[ 'tag_main' ] ) $_POST[ 'tag_main' ] = '';
	if( !$_POST[ 'order_main' ] ) $_POST[ 'order_main' ] = '';
	if( !$_POST[ 'orderby_main' ] ) $_POST[ 'orderby_main' ] = '';
	if( !$_POST[ 'author_main' ] ) $_POST[ 'author_main' ] = '';
	if( !$_POST[ 'author_name_main' ] ) $_POST[ 'author_name_main' ] = '';
	if( !$_POST[ 'showposts_main' ] ) $_POST[ 'showposts_main' ] = '';
	if( !$_POST[ 'posts_per_page_main' ] ) $_POST[ 'posts_per_page_main' ] = '';
	if( !$_POST[ 'hour_main' ] ) $_POST[ 'hour_main' ] = '';
	if( !$_POST[ 'minute_main' ] ) $_POST[ 'minute_main' ] = '';
	if( !$_POST[ 'second_main' ] ) $_POST[ 'second_main' ] = '';
	if( !$_POST[ 'day_main' ] ) $_POST[ 'day_main' ] = '';
	if( !$_POST[ 'monthnum_main' ] ) $_POST[ 'monthnum_main' ] = '';
	if( !$_POST[ 'year_main' ] ) $_POST[ 'year_main' ] = '';
	if( !$_POST[ 'tag_feed' ] ) $_POST[ 'tag_feed' ] = '';
	if( !$_POST[ 'order_feed' ] ) $_POST[ 'order_feed' ] = '';
	if( !$_POST[ 'orderby_feed' ] ) $_POST[ 'orderby_feed' ] = '';
	if( !$_POST[ 'author_feed' ] ) $_POST[ 'author_feed' ] = '';
	if( !$_POST[ 'author_name_feed' ] ) $_POST[ 'author_name_feed' ] = '';
	if( !$_POST[ 'showposts_feed' ] ) $_POST[ 'showposts_feed' ] = '';
	if( !$_POST[ 'posts_per_page_feed' ] ) $_POST[ 'posts_per_page_feed' ] = '';
	if( !$_POST[ 'hour_feed' ] ) $_POST[ 'hour_feed' ] = '';
	if( !$_POST[ 'minute_feed' ] ) $_POST[ 'minute_feed' ] = '';
	if( !$_POST[ 'second_feed' ] ) $_POST[ 'second_feed' ] = '';
	if( !$_POST[ 'day_feed' ] ) $_POST[ 'day_feed' ] = '';
	if( !$_POST[ 'monthnum_feed' ] ) $_POST[ 'monthnum_feed' ] = '';
	if( !$_POST[ 'year_feed' ] ) $_POST[ 'year_feed' ] = '';
	if( !$_POST[ 'tag_archives' ] ) $_POST[ 'tag_archives' ] = '';
	if( !$_POST[ 'order_archives' ] ) $_POST[ 'order_archives' ] = '';
	if( !$_POST[ 'orderby_archives' ] ) $_POST[ 'orderby_archives' ] = '';
	if( !$_POST[ 'author_archives' ] ) $_POST[ 'author_archives' ] = '';
	if( !$_POST[ 'author_name_archives' ] ) $_POST[ 'author_name_archives' ] = '';
	if( !$_POST[ 'showposts_archives' ] ) $_POST[ 'showposts_archives' ] = '';
	if( !$_POST[ 'posts_per_page_archives' ] ) $_POST[ 'posts_per_page_archives' ] = '';
	if( !$_POST[ 'hour_archives' ] ) $_POST[ 'hour_archives' ] = '';
	if( !$_POST[ 'minute_archives' ] ) $_POST[ 'minute_archives' ] = '';
	if( !$_POST[ 'second_archives' ] ) $_POST[ 'second_archives' ] = '';
	if( !$_POST[ 'day_archives' ] ) $_POST[ 'day_archives' ] = '';
	if( !$_POST[ 'monthnum_archives' ] ) $_POST[ 'monthnum_archives' ] = '';
	if( !$_POST[ 'year_archives' ] ) $_POST[ 'year_archives' ] = '';
	if( !$_POST[ 'tag_author' ] ) $_POST[ 'tag_author' ] = '';
	if( !$_POST[ 'order_author' ] ) $_POST[ 'order_author' ] = '';
	if( !$_POST[ 'orderby_author' ] ) $_POST[ 'orderby_author' ] = '';
	if( !$_POST[ 'author_author' ] ) $_POST[ 'author_author' ] = '';
	if( !$_POST[ 'author_name_author' ] ) $_POST[ 'author_name_author' ] = '';
	if( !$_POST[ 'showposts_author' ] ) $_POST[ 'showposts_author' ] = '';
	if( !$_POST[ 'posts_per_page_author' ] ) $_POST[ 'posts_per_page_author' ] = '';
	if( !$_POST[ 'hour_author' ] ) $_POST[ 'hour_author' ] = '';
	if( !$_POST[ 'minute_author' ] ) $_POST[ 'minute_author' ] = '';
	if( !$_POST[ 'second_author' ] ) $_POST[ 'second_author' ] = '';
	if( !$_POST[ 'day_author' ] ) $_POST[ 'day_author' ] = '';
	if( !$_POST[ 'monthnum_author' ] ) $_POST[ 'monthnum_author' ] = '';
	if( !$_POST[ 'year_author' ] ) $_POST[ 'year_author' ] = '';
	if( !$_POST[ 'tag_suchen' ] ) $_POST[ 'tag_suchen' ] = '';
	if( !$_POST[ 'order_suchen' ] ) $_POST[ 'order_suchen' ] = '';
	if( !$_POST[ 'orderby_suchen' ] ) $_POST[ 'orderby_suchen' ] = '';
	if( !$_POST[ 'author_suchen' ] ) $_POST[ 'author_suchen' ] = '';
	if( !$_POST[ 'author_name_suchen' ] ) $_POST[ 'author_name_suchen' ] = '';
	if( !$_POST[ 'showposts_suchen' ] ) $_POST[ 'showposts_suchen' ] = '';
	if( !$_POST[ 'posts_per_page_suchen' ] ) $_POST[ 'posts_per_page_suchen' ] = '';
	if( !$_POST[ 'hour_suchen' ] ) $_POST[ 'hour_suchen' ] = '';
	if( !$_POST[ 'minute_suchen' ] ) $_POST[ 'minute_suchen' ] = '';
	if( !$_POST[ 'second_suchen' ] ) $_POST[ 'second_suchen' ] = '';
	if( !$_POST[ 'day_suchen' ] ) $_POST[ 'day_suchen' ] = '';
	if( !$_POST[ 'monthnum_suchen' ] ) $_POST[ 'monthnum_suchen' ] = '';
	if( !$_POST[ 'year_suchen' ] ) $_POST[ 'year_suchen' ] = '';
	if( !$_POST[ 'tag_tags' ] ) $_POST[ 'tag_tags' ] = '';
	if( !$_POST[ 'order_tags' ] ) $_POST[ 'order_tags' ] = '';
	if( !$_POST[ 'orderby_tags' ] ) $_POST[ 'orderby_tags' ] = '';
	if( !$_POST[ 'author_tags' ] ) $_POST[ 'author_tags' ] = '';
	if( !$_POST[ 'author_name_tags' ] ) $_POST[ 'author_name_tags' ] = '';
	if( !$_POST[ 'showposts_tags' ] ) $_POST[ 'showposts_tags' ] = '';
	if( !$_POST[ 'posts_per_page_tags' ] ) $_POST[ 'posts_per_page_tags' ] = '';
	if( !$_POST[ 'hour_tags' ] ) $_POST[ 'hour_tags' ] = '';
	if( !$_POST[ 'minute_tags' ] ) $_POST[ 'minute_tags' ] = '';
	if( !$_POST[ 'second_tags' ] ) $_POST[ 'second_tags' ] = '';
	if( !$_POST[ 'day_tags' ] ) $_POST[ 'day_tags' ] = '';
	if( !$_POST[ 'monthnum_tags' ] ) $_POST[ 'monthnum_tags' ] = '';
	if( !$_POST[ 'year_tags' ] ) $_POST[ 'year_tags' ] = '';
	$options[ 'tag_main' ] = $_POST[ 'tag_main' ];
	$options[ 'order_main' ] = $_POST[ 'order_main' ];
	$options[ 'orderby_main' ] = $_POST[ 'orderby_main' ];
	$options[ 'author_main' ] = $_POST[ 'author_main' ];
	$options[ 'author_name_main' ] = $_POST[ 'author_name_main' ];
	$options[ 'showposts_main' ] = $_POST[ 'showposts_main' ];
	$options[ 'posts_per_page_main' ] = $_POST[ 'posts_per_page_main' ];
	$options[ 'hour_main' ] = $_POST[ 'hour_main' ];
	$options[ 'minute_main' ] = $_POST[ 'minute_main' ];
	$options[ 'second_main' ] = $_POST[ 'second_main' ];
	$options[ 'day_main' ] = $_POST[ 'day_main' ];
	$options[ 'monthnum_main' ] = $_POST[ 'monthnum_main' ];
	$options[ 'year_main' ] = $_POST[ 'year_main' ];
	$options[ 'tag_feed' ] = $_POST[ 'tag_feed' ];
	$options[ 'order_feed' ] = $_POST[ 'order_feed' ];
	$options[ 'orderby_feed' ] = $_POST[ 'orderby_feed' ];
	$options[ 'author_feed' ] = $_POST[ 'author_feed' ];
	$options[ 'author_name_feed' ] = $_POST[ 'author_name_feed' ];
	$options[ 'showposts_feed' ] = $_POST[ 'showposts_feed' ];
	$options[ 'posts_per_page_feed' ] = $_POST[ 'posts_per_page_feed' ];
	$options[ 'hour_feed' ] = $_POST[ 'hour_feed' ];
	$options[ 'minute_feed' ] = $_POST[ 'minute_feed' ];
	$options[ 'second_feed' ] = $_POST[ 'second_feed' ];
	$options[ 'day_feed' ] = $_POST[ 'day_feed' ];
	$options[ 'monthnum_feed' ] = $_POST[ 'monthnum_feed' ];
	$options[ 'year_feed' ] = $_POST[ 'year_feed' ];
	$options[ 'tag_archives' ] = $_POST[ 'tag_archives' ];
	$options[ 'order_archives' ] = $_POST[ 'order_archives' ];
	$options[ 'orderby_archives' ] = $_POST[ 'orderby_archives' ];
	$options[ 'author_archives' ] = $_POST[ 'author_archives' ];
	$options[ 'author_name_archives' ] = $_POST[ 'author_name_archives' ];
	$options[ 'showposts_archives' ] = $_POST[ 'showposts_archives' ];
	$options[ 'posts_per_page_archives' ] = $_POST[ 'posts_per_page_archives' ];
	$options[ 'hour_archives' ] = $_POST[ 'hour_archives' ];
	$options[ 'minute_archives' ] = $_POST[ 'minute_archives' ];
	$options[ 'second_archives' ] = $_POST[ 'second_archives' ];
	$options[ 'day_archives' ] = $_POST[ 'day_archives' ];
	$options[ 'monthnum_archives' ] = $_POST[ 'monthnum_archives' ];
	$options[ 'year_archives' ] = $_POST[ 'year_archives' ];
	$options[ 'tag_author' ] = $_POST[ 'tag_author' ];
	$options[ 'order_author' ] = $_POST[ 'order_author' ];
	$options[ 'orderby_author' ] = $_POST[ 'orderby_author' ];
	$options[ 'author_author' ] = $_POST[ 'author_author' ];
	$options[ 'author_name_author' ] = $_POST[ 'author_name_author' ];
	$options[ 'showposts_author' ] = $_POST[ 'showposts_author' ];
	$options[ 'posts_per_page_author' ] = $_POST[ 'posts_per_page_author' ];
	$options[ 'hour_author' ] = $_POST[ 'hour_author' ];
	$options[ 'minute_author' ] = $_POST[ 'minute_author' ];
	$options[ 'second_author' ] = $_POST[ 'second_author' ];
	$options[ 'day_author' ] = $_POST[ 'day_author' ];
	$options[ 'monthnum_author' ] = $_POST[ 'monthnum_author' ];
	$options[ 'year_author' ] = $_POST[ 'year_author' ];
	$options[ 'tag_suchen' ] = $_POST[ 'tag_suchen' ];
	$options[ 'order_suchen' ] = $_POST[ 'order_suchen' ];
	$options[ 'orderby_suchen' ] = $_POST[ 'orderby_suchen' ];
	$options[ 'author_suchen' ] = $_POST[ 'author_suchen' ];
	$options[ 'author_name_suchen' ] = $_POST[ 'author_name_suchen' ];
	$options[ 'showposts_suchen' ] = $_POST[ 'showposts_suchen' ];
	$options[ 'posts_per_page_suchen' ] = $_POST[ 'posts_per_page_suchen' ];
	$options[ 'hour_suchen' ] = $_POST[ 'hour_suchen' ];
	$options[ 'minute_suchen' ] = $_POST[ 'minute_suchen' ];
	$options[ 'second_suchen' ] = $_POST[ 'second_suchen' ];
	$options[ 'day_suchen' ] = $_POST[ 'day_suchen' ];
	$options[ 'monthnum_suchen' ] = $_POST[ 'monthnum_suchen' ];
	$options[ 'year_suchen' ] = $_POST[ 'year_suchen' ];
	$options[ 'tag_tags' ] = $_POST[ 'tag_tags' ];
	$options[ 'order_tags' ] = $_POST[ 'order_tags' ];
	$options[ 'orderby_tags' ] = $_POST[ 'orderby_tags' ];
	$options[ 'author_tags' ] = $_POST[ 'author_tags' ];
	$options[ 'author_name_tags' ] = $_POST[ 'author_name_tags' ];
	$options[ 'showposts_tags' ] = $_POST[ 'showposts_tags' ];
	$options[ 'posts_per_page_tags' ] = $_POST[ 'posts_per_page_tags' ];
	$options[ 'hour_tags' ] = $_POST[ 'hour_tags' ];
	$options[ 'minute_tags' ] = $_POST[ 'minute_tags' ];
	$options[ 'second_tags' ] = $_POST[ 'second_tags' ];
	$options[ 'day_tags' ] = $_POST[ 'day_tags' ];
	$options[ 'monthnum_tags' ] = $_POST[ 'monthnum_tags' ];
	$options[ 'year_tags' ] = $_POST[ 'year_tags' ];
	update_option('ebqueryExcludes', $options);
	$message = "<div class='updated'><p>&Auml;nderungen wurden erfolgreich &uuml;bernommen.</p></div>";
	return $message;
}

function ebquery_get_options(){
	$defaults = array();
	$defaults['tag_main'] = '';
	$defaults['order_main'] = '';
	$defaults['orderby_main'] = '';
	$defaults['author_main'] = '';
	$defaults['author_name_main'] = '';
	$defaults['showposts_main'] = '';
	$defaults['posts_per_page_main'] = '';
	$defaults['hour_main'] = '';
	$defaults['minute_main'] = '';
	$defaults['second_main'] = '';
	$defaults['day_main'] = '';
	$defaults['monthnum_main'] = '';
	$defaults['year_main'] = '';
	$defaults['tag_feed'] = '';
	$defaults['order_feed'] = '';
	$defaults['orderby_feed'] = '';
	$defaults['author_feed'] = '';
	$defaults['author_name_feed'] = '';
	$defaults['showposts_feed'] = '';
	$defaults['posts_per_page_feed'] = '';
	$defaults['hour_feed'] = '';
	$defaults['minute_feed'] = '';
	$defaults['second_feed'] = '';
	$defaults['day_feed'] = '';
	$defaults['monthnum_feed'] = '';
	$defaults['year_feed'] = '';
	$defaults['tag_archives'] = '';
	$defaults['order_archives'] = '';
	$defaults['orderby_archives'] = '';
	$defaults['author_archives'] = '';
	$defaults['author_name_archives'] = '';
	$defaults['showposts_archives'] = '';
	$defaults['posts_per_page_archives'] = '';
	$defaults['hour_archives'] = '';
	$defaults['minute_archives'] = '';
	$defaults['second_archives'] = '';
	$defaults['day_archives'] = '';
	$defaults['monthnum_archives'] = '';
	$defaults['year_archives'] = '';
	$defaults['tag_author'] = '';
	$defaults['order_author'] = '';
	$defaults['orderby_author'] = '';
	$defaults['author_author'] = '';
	$defaults['author_name_author'] = '';
	$defaults['showposts_author'] = '';
	$defaults['posts_per_page_author'] = '';
	$defaults['hour_author'] = '';
	$defaults['minute_author'] = '';
	$defaults['second_author'] = '';
	$defaults['day_author'] = '';
	$defaults['monthnum_author'] = '';
	$defaults['year_author'] = '';
	$defaults['tag_suchen'] = '';
	$defaults['order_suchen'] = '';
	$defaults['orderby_suchen'] = '';
	$defaults['author_suchen'] = '';
	$defaults['author_name_suchen'] = '';
	$defaults['showposts_suchen'] = '';
	$defaults['posts_per_page_suchen'] = '';
	$defaults['hour_suchen'] = '';
	$defaults['minute_suchen'] = '';
	$defaults['second_suchen'] = '';
	$defaults['day_suchen'] = '';
	$defaults['monthnum_suchen'] = '';
	$defaults['year_suchen'] = '';
	$defaults['tag_tags'] = '';
	$defaults['order_tags'] = '';
	$defaults['orderby_tags'] = '';
	$defaults['author_tags'] = '';
	$defaults['author_name_tags'] = '';
	$defaults['showposts_tags'] = '';
	$defaults['posts_per_page_tags'] = '';
	$defaults['hour_tags'] = '';
	$defaults['minute_tags'] = '';
	$defaults['second_tags'] = '';
	$defaults['day_tags'] = '';
	$defaults['monthnum_tags'] = '';
	$defaults['year_tags'] = '';
	$options = get_option('ebqueryExcludes');
	if (!is_array($options)){
		$options = $defaults;
		update_option('ebqueryExcludes', $options);
	}
	return $options;
}

function ebquery_exclude_categories($query) {
if (($query->is_archive and $query->is_category)) {
}
else {
	if ($query->is_home or $query->is_feed or $query->is_archive or is_search() or is_tag()) {
		$options = ebquery_get_options();
		if ($query->is_home) {
			$query->set('tag', $options['tag_main'] ); // tags mit Komma getrennt entspricht einem oder, tags mit einem + verbunden einem and
			$query->set('order', $options['order_main'] ); // "ASC" or "DESC"
			$query->set('orderby', $options['orderby_main'] ); // author, date, category, title, modified, menu_order, parent, ID, rand
			$query->set('author', $options['author_main'] ); // Autoren-ID
			$query->set('author_name', $options['author_name_main'] );
			$query->set('showposts', $options['showposts_main'] ); // Anzahl (limit) der Gesamtbeitraege
			$query->set('posts_per_page', '-'.$options['posts_per_page_main'] ); // Anzahl pro Seite
			$query->set('hour', $options['hour_main'] );
			$query->set('minute', $options['minute_main'] );
			$query->set('second', $options['second_main'] );
			$query->set('day', $options['day_main'] );
			$query->set('monthnum', $options['monthnum_main'] );
			$query->set('year', $options['year_main'] );
		}
		elseif ($query->is_feed) {
			$query->set('tag', $options['tag_feed'] ); // tags mit Komma getrennt entspricht einem oder, tags mit einem + verbunden einem and
			$query->set('order', $options['order_feed'] ); // "ASC" or "DESC"
			$query->set('orderby', $options['orderby_feed'] ); // author, date, category, title, modified, menu_order, parent, ID, rand
			$query->set('author', $options['author_feed'] ); // Autoren-ID
			$query->set('author_name', $options['author_name_feed'] );
			$query->set('showposts', $options['showposts_feed'] ); // Anzahl (limit) der Gesamtbeitraege
			$query->set('posts_per_page', '-'.$options['posts_per_page_feed'] ); // Anzahl pro Seite
			$query->set('hour', $options['hour_feed'] );
			$query->set('minute', $options['minute_feed'] );
			$query->set('second', $options['second_feed'] );
			$query->set('day', $options['day_feed'] );
			$query->set('monthnum', $options['monthnum_feed'] );
			$query->set('year', $options['year_feed'] );
		}
		elseif (is_search()) {
			$query->set('tag', $options['tag_suchen'] ); // tags mit Komma getrennt entspricht einem oder, tags mit einem + verbunden einem and
			$query->set('order', $options['order_suchen'] ); // "ASC" or "DESC"
			$query->set('orderby', $options['orderby_suchen'] ); // author, date, category, title, modified, menu_order, parent, ID, rand
			$query->set('showposts', $options['showposts_suchen'] ); // Anzahl (limit) der Gesamtbeitraege
			$query->set('posts_per_page', '-'.$options['posts_per_page_suchen'] ); // Anzahl pro Seite
			$query->set('author', $options['author_suchen'] ); // Autoren-ID
			$query->set('author_name', $options['author_name_suchen'] );
			$query->set('hour', $options['hour_suchen'] );
			$query->set('minute', $options['minute_suchen'] );
			$query->set('second', $options['second_suchen'] );
			$query->set('day', $options['day_suchen'] );
			$query->set('monthnum', $options['monthnum_suchen'] );
			$query->set('year', $options['year_suchen'] );
		}
		elseif (is_tag()) {
		
			$query->set('order', $options['order_tags'] ); // "ASC" or "DESC"
			$query->set('orderby', $options['orderby_tags'] ); // author, date, category, title, modified, menu_order, parent, ID, rand
			$query->set('showposts', $options['showposts_tags'] ); // Anzahl (limit) der Gesamtbeitraege
			$query->set('author', $options['author_tags'] ); // Autoren-ID
			$query->set('author_name', $options['author_name_tags'] );
			$query->set('posts_per_page', '-'.$options['posts_per_page_tags'] ); // Anzahl pro Seite
			$query->set('hour', $options['hour_tags'] );
			$query->set('minute', $options['minute_tags'] );
			$query->set('second', $options['second_tags'] );
			$query->set('day', $options['day_tags'] );
			$query->set('monthnum', $options['monthnum_tags'] );
			$query->set('year', $options['year_tags'] );
			
		}
		elseif (is_archive() && is_author()) {
			$query->set('tag', $options['tag_author'] ); // tags mit Komma getrennt entspricht einem oder, tags mit einem + verbunden einem and
			$query->set('order', $options['order_author'] ); // "ASC" or "DESC"
			$query->set('orderby', $options['orderby_author'] ); // author, date, category, title, modified, menu_order, parent, ID, rand
			$query->set('showposts', $options['showposts_author'] ); // Anzahl (limit) der Gesamtbeitraege
			$query->set('posts_per_page', '-'.$options['posts_per_page_author'] ); // Anzahl pro Seite
			$query->set('hour', $options['hour_author'] );
			$query->set('minute', $options['minute_author'] );
			$query->set('second', $options['second_author'] );
			$query->set('day', $options['day_author'] );
			$query->set('monthnum', $options['monthnum_author'] );
			$query->set('year', $options['year_author'] );
		}
		elseif ($query->is_archive and $query->is_category) {
		}
		elseif ($query->is_archive) {
			$query->set('tag', $options['tag_archives'] ); // tags mit Komma getrennt entspricht einem oder, tags mit einem + verbunden einem and
			$query->set('order', $options['order_archives'] ); // "ASC" or "DESC"
			$query->set('orderby', $options['orderby_archives'] ); // author, date, category, title, modified, menu_order, parent, ID, rand
			$query->set('author', $options['author_archives'] ); // Autoren-ID
			$query->set('author_name', $options['author_name_archives'] );
			$query->set('showposts', $options['showposts_archives'] ); // Anzahl (limit) der Gesamtbeitraege
			$query->set('posts_per_page', '-'.$options['posts_per_page_archives'] ); // Anzahl pro Seite
		}
	}
}
return $query;
}

?>
